Wind River Support Network

HomeDefectsLIN5-13436
Fixed

LIN5-13436 : Security Advisory - php - CVE-2013-1635

Created: Mar 18, 2013    Updated: Dec 19, 2017
Resolved Date: Oct 29, 2013
Previous ID: LIN3-26101
Found In Version: 5.0
Fix Version: 5.0.1.9
Severity: Severe
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

ext/soap/soap.c in PHP before 5.3.22 and 5.4.x before 5.4.13 does not validate the relationship between the soap.wsdl_cache_dir directive and the open_basedir directive, which allows remote attackers to bypass intended access restrictions by triggering the creation of cached SOAP WSDL files in an arbitrary directory.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2013-1635

Workaround

Unknown

Steps to Reproduce

Unknown

Other Downloads


Live chat
Online